--- title: "ListCertificates" slug: "security-certificatemanager-listcertificates" updated: 2026-10-08T04:18:34Z published: 2026-10-08T04:18:34Z canonical: "api.ncloud-docs.com/security-certificatemanager-listcertificates" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # ListCertificates Available in Classic and VPC Get an SSL certificate you have. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/certificate/certificates | ### Request headers For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Number of items per page | | `certificateName` | String | Optional | Limit results by certificate name. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/certificates' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalCount` | Integer | - | Total number of lists searched | | `sslCertificateList` | Array | - | Certificate list: [sslCertificateList](/docs/en/security-certificatemanager-listcertificates#sslCertificateList) | #### `sslCertificateList` The following describes `sslCertificateList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateNo` | Integer | - | Certificate number | | `certificateName` | String | - | Certificate name | | `memberNo` | String | - | NAVER Cloud Platform user member ID | | `commonName` | String | - | Domain to be included in the certificate CN (Common Name) | | `dnsName` | String | - | List of domains to be included in the certificate SAN (Subject Alternative Name) | | `statusCode` | String | - | Certificate status code - `0` \| `1` \| `2` \| `3` \| `-1` \| `-2` \| `-3` \| `-4` \| `-5` \| `-6` \| `-7` \| `-11` \| `-12` \| `-20` - `0`: ONGOING - `1`: NORMAL - `2`: NORMAL_UNREGISTERED_PRIVATE_KEY - `3`: NORMAL_GLOBAL_EDGE_DEDICATED - `-1`: FAILED - `-2`: EXPIRE - `-3`: VALIDATION_FAILED - `-4`: VALIDATION_EXPIRE - `-5`: REVOKE - `-6`: DELETED - `-7`: REQUEST_REVOKE - `-11`: FAILED (LINT) - `-12`: FAILED (CT) - `-20`: FAILED (ORG_LOCK / DNS_TXT) | | `statusName` | String | - | Certificate status - `ONGOING` \| `NORMAL` \| `NORMAL_UNREGISTERED_PRIVATE_KEY` \| `NORMAL_GLOBAL_EDGE_DEDICATED` \| `FAILED` \| `EXPIRE` \| `VALIDATION_FAILED` \| `VALIDATION_EXPIRE` \| `REVOKE` \| `DELETED` \| `REQUEST_REVOKE` - `ONGOING`: In progress - `NORMAL`: Normal - `NORMAL_UNREGISTERED_PRIVATE_KEY`: Normal (private key not registered) - `NORMAL_GLOBAL_EDGE_DEDICATED`: Normal (Global Edge Dedicated) - `FAILED`: Failure - `FAILED (LINT)`: Failure (LINT check) - `FAILED (CT)`: Failure (CT check) - `FAILED (ORG_LOCK / DNS_TXT)`: Organizational information mismatch (DNS TXT) - `EXPIRE`: Period expired - `VALIDATION_FAILED`: Validation failure - `VALIDATION_EXPIRE`: Validation timeout - `REVOKE`: Revoked - `DELETED`: Deleted - `REQUEST_REVOKE`: Revoking | | `certificateType` | String | - | Certificate type - `NCP_PAID_DV_01` \| `NCP_PAID_OV_01` \| `NCP_FREE_DV_01` \| `NCP_GLOBAL_EDGE_DEDICATED` - `NCP_GLOBAL_EDGE_DEDICATED`: Advanced DV certificate - `NCP_PAID_OV_01`: Advanced OV certificate - `NCP_FREE_DV_01`: Cloud DB Basic certificate - `NCP_GLOBAL_EDGE_DEDICATED`: Global Edge certificate | | `domainCode` | String | - | Issuance-based domain - `PUB`: NAVER Cloud Platform (for individuals/general businesses) | | `updateDate` | String | - | Last change date and time - yyyy-MM-dd HH:mm:ss (UTC+09:00) format | | `issueType` | String | - | Issuance status: Use to verify whether the certificate can be reissued. - `ORIGINAL` \| `REPRESENTATIVE` \| `REISSUE` - `ORIGINAL`: Original certificate (reissuable if no representative certificate exists). - `REPRESENTATIVE`: Representative certificate (reissuable). - `REISSUE`: Reissued certificate (not reissuable). | | `subjectDN` | String | - | Certificate distinguished name (DN) information | | `registDate` | String | - | Certificate registration date and time - yyyy-MM-dd HH:mm:ss (UTC+09:00) format | | `notBefore` | String | - | Certificate validity start date and time - yyyy-MM-dd HH:mm:ss (UTC+09:00) format | | `notAfter` | String | - | Certificate expiration date and time - yyyy-MM-dd HH:mm:ss (UTC+09:00) format | | `issueDate` | String | - | Certificate issuance date and time - yyyy-MM-dd HH:mm:ss (UTC+09:00) format | | `revokeDate` | String | - | Certificate revocation date and time - Displayed only when the certificate has been revoked | | `issuer` | String | - | Certificate authority (CA) name | | `serialNumber` | String | - | Certificate serial number | | `signatureAlgorithm` | String | - | Signature algorithm | | `certPublicKeyInfo` | String | - | Public key information | | `orderId` | String | - | Certificate issuance request ID | | `usedInstanceNoList` | String | - | List of instances using the certificate - No value if there are no instances using the certificate | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalCount": 42, "sslCertificateList": [ { "certificateNo": 102345, "certificateName": "ncloud-ov-cert-01", "memberNo": "3001287", "commonName": "api.ncloud.com", "statusCode": "0", "statusName": "Ongoing", "certificateType": "NCP_PAID_OV_01", "domainCode": "PUB", "updateDate": "2026-01-12 13:50:02(UTC+09:00)", "orderId": "NC-20260112-001", "issueType": "REPRESENTATIVE", "subjectDN": "cn=api.ncloud.com,o=NAVER Cloud Trust Services Corp.,l=Seongnam-si,s=Gyeonggi-do,c=KR", "registDate": "2026-01-12 13:45:10(UTC+09:00)", "notAfter": "2027-01-12 23:59:59(UTC+09:00)" }, ] ... } ```